Attachments - Get Test Sub Result Attachment Zip

Download a test sub result attachment

GET https://dev.azure.com/{organization}/{project}/_apis/test/Runs/{runId}/Results/{testCaseResultId}/attachments/{attachmentId}?testSubResultId={testSubResultId}&api-version=7.1

URI Parameters

Name In Required Type Description
attachmentId
path True

integer (int32)

ID of the test result attachment to be downloaded

organization
path True

string

The name of the Azure DevOps organization.

project
path True

string

Project ID or project name

runId
path True

integer (int32)

ID of the test run that contains the result.

testCaseResultId
path True

integer (int32)

ID of the test results that contains sub result.

api-version
query True

string

Version of the API to use. This should be set to '7.1' to use this version of the api.

testSubResultId
query True

integer (int32)

ID of the test sub result whose attachment has to be downloaded

Responses

Name Type Description
200 OK

string

successful operation

Media Types: "application/octet-stream", "application/zip"

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.test Grants the ability to read test plans, cases, results and other test management related artifacts.